#ifndef LIBPOC_H
#define LIBPOC_H

#include <stddef.h>

#define ARRAYLEN(a)     (sizeof(a) / sizeof((a)[0]))

#define expect(e)       do {                            \
                            if (-1 == (e)) {            \
                                log_fatal_errno(#e);    \
                            }                           \
                        } while(0)

void log_info(const char *fmt, ...);
void log_hexdump(const void *data, size_t datasz, const char *fmt, ...);
void log_progress(const char *fmt, ...);
void log_progress_complete(void);
void log_error(const char *fmt, ...);
void log_fatal(const char *fmt, ...);
void log_fatal_errno(const char *fmt, ...);
void banner(void);

extern const char *poc_title;
extern const char *poc_author;

#endif
